# -*- coding:utf-8 -*-
import os
import re
import time
from wordcloud import  WordCloud, STOPWORDS, ImageColorGenerator
import matplotlib.pyplot as plt

inputFile = input("Input the file:")

print(inputFile)

os.system("WordCount.exe -i " + inputFile + " -n 10 -g")
with open("result.txt", "r", encoding='utf-8') as f:
    hot_word = f.readline()
    hot_word = hot_word[0:len(hot_word)-2]
    hot_word_counts = f.readline()
    hot_word_counts = hot_word_counts[0:len(hot_word_counts)-3]

os.system("WordCount.exe -i " + inputFile + " -n 200 -g")
with open("result.txt", "r", encoding='utf-8') as f:
    hot_word_list = f.readline()
    hot_word_list = hot_word_list[0:len(hot_word_list)-2]
    hot_word_list = hot_word_list.split(',')

hot_word_str = ' '.join(hot_word_list)

wc = WordCloud(
    width = 1920,
    height= 1080,
    background_color="white",
    mask=None,
    max_words= 200,
    stopwords= STOPWORDS,
    max_font_size= 500,
    random_state= 30
)

hot_word_cloud = wc.generate_from_text(hot_word_str)

hot_word_cloud.to_file('hot_word_cloud.png')

with open("index.html", "w+", encoding='utf-8') as f:
    f.write("""<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
        <script src="jquery-3.3.1.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="echarts.min.js"></script>

	<title>Hot words or phrases</title>
    <style type="text/css">
    .nav  ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
            overflow: hidden;
            background-color:rgb(255, 255, 255);
            box-shadow: 0px 5px 2px rgb(139, 139, 139);
        }
    .nav  li {
            float: left;
            font-size: 18px;
        }
    .nav  li a {
            display: block;
            color: rgb(151, 148, 148);
            text-align: center;
            padding: 8px 8px;
            text-decoration: none;
        }

    .nav  li a:hover {
            color:rgb(0, 0, 0);
        }
    .nav .active{
        color:black;
        border-bottom: 3px solid #000;
    }
    .content ul{
        margin-top: 40px;
        margin-left: 30%;
        overflow: hidden;
    }
    .content li{
        margin:20px;
        padding: 20px;
        display: block;
        width:400px;
        border:solid 1px #000;
        border-radius:8px;
        float: left;
    }
    .title{
        font-weight:bold;
    }
    .search{
        margin-top: 30px;
        text-align:center;
        vertical-align:middle;
    }
    .content button{
        overflow: hidden;
        text-align:center;
    }
	</style>
</head>
<body>


    <div class="nav">  
        <ul>
            <li><a href="index.html" class="active">首页</a> </li>
            <li><a href="wordCloud.html">词云</a> </li>
        </ul>
    </div>

    <div class="search">

    </div>

    <div class="content" style="display:flex">
        <div id="bar" style="width: 600px;height:400px;"></div>
        <div id="line" style="display: block; width: 600px;height:400px;"></div>
        
    </div>
    
    <script type="text/javascript">
        // 基于准备好的dom，初始化echarts实例
        var myChart = echarts.init(document.getElementById('bar'));

        // 指定图表的配置项和数据
        var option = {
            title: {
                text: '热词'
            },
            tooltip: {},
            legend: {
                data:['出现次数']
            },
            xAxis: {
            """)

    f.write("    data:["+ hot_word + "]\n")
    f.write("""
            },
            yAxis: {},
            series: [{
                name: 'times',
                type: 'bar',
                data: [""")
    f.write(hot_word_counts)
    f.write("""]
            }]
        };

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    </script>

 

    <script type="text/javascript">
        // 基于准备好的dom，初始化echarts实例
        var myChart = echarts.init(document.getElementById('line'));

        // 指定图表的配置项和数据
        var option = {
            tooltip : {
                trigger: 'axis'
            },
            legend: {
                data:["that","with","this","image","from","object","method","which","model","network","deep"]
            },
            toolbox: {
                show : false,
                feature : {
                    mark : {show: true},
                    dataView : {show: true, readOnly: false},
                    magicType : {show: true, type: ['line', 'bar', 'stack', 'tiled']},
                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,
                    data : ['2014','2015','2016','2017','2018']
                }
            ],
            yAxis : [
                {
                    type : 'value'
                }
            ],
            series : [
                {
                    name:'that',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[174, 171, 172, 176, 179]
                },
                {
                    name:'with',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[123, 126, 142, 142, 150]
                },
                {
                    name:'this',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[135, 141, 142, 143, 147]
                },
                {
                    name:'image',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[103, 128, 115, 119, 125]
                },
                {
                    name:'from',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[98, 107, 100, 107, 112]
                },
                {
                    name:'method',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[81, 83, 73, 0, 0]
                },
                {
                    name:'based',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[73, 74, 0, 75, 0]
                },
                {
                    name:'object',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[0, 68, 79, 0, 0]
                },
                {
                    name:'model',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[0, 0, 70, 0, 70]
                },
                {
                    name:'network',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[0, 0, 0, 70, 99]
                },
                {
                    name:'which',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[73, 68, 73, 77, 82]
                },
                {
                    name:'which',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:[73, 68, 73, 77, 82]
                }
            ]
        };
                    

        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    </script>


</body>
</html>
""")

with open("wordCloud.html", "w+", encoding='utf-8') as f:
    f.write("""<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
        <script src="jquery-3.3.1.min.js" type="text/javascript" charset="utf-8"></script>

	<title>Hot words or phrases</title>
    <style type="text/css">
    .nav  ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
            overflow: hidden;
            background-color:rgb(255, 255, 255);
            box-shadow: 0px 5px 2px rgb(139, 139, 139);
        }
    .nav  li {
            float: left;
            font-size: 18px;
        }
    .nav  li a {
            display: block;
            color: rgb(151, 148, 148);
            text-align: center;
            padding: 8px 8px;
            text-decoration: none;
        }

    .nav  li a:hover {
            color:rgb(0, 0, 0);
        }
    .nav .active{
        color:black;
        border-bottom: 3px solid #000;
    }
    .content ul{
        margin-top: 40px;
        margin-left: 30%;
        overflow: hidden;
    }
    .content li{
        margin:20px;
        padding: 20px;
        display: block;
        width:400px;
        border:solid 1px #000;
        border-radius:8px;
        float: left;
    }
    .title{
        font-weight:bold;
    }
    .search{
        margin-top: 30px;
        text-align:center;
        vertical-align:middle;
    }
    .content button{
        overflow: hidden;
        text-align:center;
    }
	</style>
</head>
<body>

    <div class="nav">  
        <ul>
            <li><a href="index.html">首页</a> </li>
            <li><a href="wordCloud.html" class="active">词云</a> </li>
        </ul>
    </div>

    <div class="search">

    </div>

 

    <div class="content" >
        <div style="text-align: center;">
            <img style="margin: 0 auto;margin-top:10px;width: 1024px;height:768px;" src="hot_word_cloud.png"/>
        </div>
    </div>
    

</body>
</html>
""")